package cd.casic.ci.api;


import cd.casic.ci.process.dto.req.taskResource.TaskResourceQueryReq;
import cd.casic.ci.process.dto.resp.taskResource.TaskResourceFindResp;
import cd.casic.ci.process.process.service.taskResource.TaskResourceManagerService;
import cd.casic.framework.commons.pojo.CommonResult;
import jakarta.annotation.Resource;
import jakarta.validation.Valid;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * @ClassName ResourceController
 * @Author hopeli
 * @Date 2025/5/10 10:57
 * @Version 1.0
 */

//@RestController
@RequestMapping("/taskResource")
public class TaskResourceManagerController {

    @Resource
    private TaskResourceManagerService resourceManagerService;

    @PostMapping(path="/findResourceList")
    public CommonResult<TaskResourceFindResp> findResourceList(@RequestBody @Valid TaskResourceQueryReq req){

        TaskResourceFindResp ResourceFindResp = resourceManagerService.findResourceList(req);

        return CommonResult.success(ResourceFindResp);
    }

}
